/* 
 * common.css
 * コンポーネント以外で使用する共通スタイル
 */
html {
  font-size: 16px;
}
body,
html {
  scroll-behavior: smooth;
}
li {
  list-style: none;
}

:root {
  --root-font-size: 16;
}

sub {
  position: relative;
  display: inline-block;
  font-size: 0.65em;
  line-height: 0.78;
  vertical-align: baseline;
  transform: translateY(0.12em);
}

/* 色 */
.color_red {
  color: #d40000;
}

/* インデント */
.indent {
  padding-left: 1em;
}
.indent::first-letter {
  margin-left: -1em;
}

.error-text {
  font-size: clamp(12px, 3.2vw, 16.64px);
  font-weight: 500;
}

._hidden {
  display: none !important;
}
._disabled {
  pointer-events: none;
  opacity: 0.5;
}
/* sectionの余白 */
.sec-inner {
  padding: 0 4% 0;
}

/* ローディング */
.loading {
  position: fixed;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 5.33vw;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: 9999;
  background-color: #a0dbdc;
  max-width: 520px;
  left: 50%;
  transform: translateX(-50%);
}
.m .loading {
  gap: 55px;
}
.loading::before {
  content: '';
  background-image: url('../../img/liff/loading-bg-deco.png');
  background-size: 100% auto;
  background-repeat: no-repeat;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.loading-word {
  display: flex;
  gap: 0.5em;
  justify-content: center;
}

.loading-word span {
  display: inline-block;
  animation-name: loadingBounce;
  animation-duration: 0.9s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: infinite;
  will-change: transform;
}

.loading-word span img {
  display: block;
}

.loading-word span:nth-child(1) {
  animation-delay: 0s;
}

.loading-word span:nth-child(2) {
  animation-delay: 0.12s;
}

.loading-word span:nth-child(3) {
  animation-delay: 0.24s;
}

.loading-word span:nth-child(4) {
  animation-delay: 0.36s;
}

.loading-word span:nth-child(5) {
  animation-delay: 0.48s;
}

.loading-inner {
  width: 80%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 5.33vw;
}
.m .loading-inner {
  gap: 55px;
}

@keyframes loadingBounce {
  0%,
  60%,
  100% {
    transform: translateY(0);
  }

  30% {
    transform: translateY(-10px);
  }
}

/* 応募方法 コンテンツ */
.entry-flow-list {
  padding: 0;
  padding-top: 12.6%;
  display: flex;
  flex-direction: column;
  row-gap: 8.69vw;
}
.m .entry-flow-list {
  row-gap: 41px;
}

.entry-flow-list-item {
  position: relative;
  padding: 0;
  padding-right: 2.89%;
  padding-left: 4.34%;
  background-color: #fff;
  border-radius: 10px;
  color: #702a03;
  padding-bottom: 8.6%;
}

.entry-flow-list-item:not(:last-of-type)::after {
  content: '';
  position: absolute;
  top: 100%;
  right: 5%;
  z-index: 10;
  width: 8.66vw;
  aspect-ratio: 50 / 104;
  transform: translateY(calc(8.66vw / 2 - 50%));
  background: url('../../img/liff/accordion-entry-arrow.png') no-repeat center / contain;
  pointer-events: none;
}
.m .entry-flow-list-item:not(:last-of-type)::after {
  width: 36px;
  right: 30px;
  transform: translateY(calc(41px / 2 - 50%));
}

.entry-flow-list-item-step {
  line-height: 1;
  position: relative;
  top: -0.625rem;
  width: 37.6%;
}
.entry-flow-list-item-text {
  font-weight: 700;
  font-size: clamp(15.97px, 4.26vw, 22.15px);
}

.entry-flow-list-item-text span {
  background: linear-gradient(transparent 70%, #fae2e8 30%);
}

.entry-flow-list-item-text-link {
  color: #702a03;
  text-underline-offset: 3px;
}

.entry-flow-list-item-link-wrapper {
  display: flex;
  align-items: center;
  gap: 0.2em;
  padding-top: 4.9%;
}

.entry-flow-list-item-link {
  display: inline-flex;
  align-items: center;
  gap: 0.25em;
  font-weight: 900;
  color: #702a03;
  font-size: clamp(13.99px, 3.73vw, 19.4px);
  text-underline-offset: 3px;
  position: relative;
}
.entry-flow-list-item-link-icon {
  display: inline-block;
  width: 1em;
  height: 1em;
  flex-shrink: 0;
  background: url('../../img/common/entry-flow-list-item-link-arrow.png') no-repeat center / contain;
}

/* 賞品紹介 コンテンツ */
.prize-info-list {
  padding-top: 14.1%;
  display: flex;
  flex-direction: column;
  gap: 10.6vw;
}
.m .prize-info-list {
  gap: 55.4px;
}

#liffTop .prize-info-list {
  padding-bottom: 14.1%;
}

.prize-info-item {
  background-color: #fff;
  border-radius: 10px;
  position: relative;
  padding: 6.23% 3.62% 11.3% 3.62%;
}

.prize-info-item._pay {
  padding: 16.9% 3.62% 11.3% 3.62%;
}

.prize-info-icon {
  content: '';
  position: absolute;
  top: -4%;
  left: 3%;
  z-index: 10;
  width: 21.5%;
  aspect-ratio: 149 / 133;
  background: url('../../img/liff/accordion-prize-iconA.png') no-repeat center / contain;
  pointer-events: none;
}

.prize-info-icon._pay {
  background-image: url('../../img/liff/accordion-prize-iconB.png');
}
.prize-info-image {
  width: 75%;
  margin-inline: auto;
}

.prize-info-image._pay {
  width: 100%;
  margin-inline: auto;
}
.prize-info-description {
  color: #702a03;
  font-weight: 500;
  font-size: clamp(15px, 4vw, 20.8px);
  padding-top: 5.32%;
}

.prize-info-lottery {
  width: 53.9%;
  margin-inline-start: auto;
}

.prize-info-note {
  color: #702a03;
  font-family: 'Noto Sans JP', sans-serif;
  font-size: clamp(12px, 3.2vw, 16.64px);
  padding-top: 5.16%;
}

.prize-info-link-wrapper {
  display: flex;
  width: fit-content;
  align-items: center;
  gap: 0.25em;
  font-weight: 900;
  color: #702a03;
  font-size: clamp(13.99px, 3.73vw, 19.4px);
  text-underline-offset: 3px;
  position: relative;
  margin-inline: auto;
  padding-top: 10.1%;
}

.prize-info-link {
  font-family: 'Noto Sans JP', sans-serif;
  color: #702a03;
  text-underline-offset: 3px;
}
.m .prize-info-link {
  text-underline-offset: 5px;
}

.prize-info-link-icon {
  display: inline-block;
  width: 1em;
  height: 1em;
  flex-shrink: 0;
  background: url(../../img/common/entry-flow-list-item-link-arrow.png) no-repeat center / contain;
  transform: rotate(-90deg);
}

/* 対象商品 紹介コンテンツ */
.product-showcase-list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  padding-top: 11.5%;
  row-gap: 9.73vw;
  column-gap: 4vw;
}
.m .product-showcase-list {
  row-gap: 48px;
  column-gap: 20.8px;
}

.product-showcase-card {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  height: 100%;
  row-gap: 3.3%;
  position: relative;
  isolation: isolate;
}
.product-showcase-card::before {
  content: '';
  position: absolute;
  bottom: 5%;
  left: 50%;
  translate: -50% 0;
  width: 100%;
  aspect-ratio: 330 / 270;
  background-color: #ffe5eb;
  border-radius: 50%;
  z-index: -1;
  pointer-events: none;
}

.product-showcase-image {
  width: 60%;
  box-shadow: 2px 3.5px 3px 3px rgba(140, 7, 35, 0.2);
}
.m .product-showcase-image {
  box-shadow: 4px 7px 3px 3px rgba(140, 7, 35, 0.2);
}

.product-showcase-name {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  line-height: 1.35;
  min-height: calc(1.35em * 2);
  text-align: center;
  color: #702a03;
  font-weight: 900;
  font-size: clamp(15.97px, 4.26vw, 22.15px);
}

.product-showcase-toggle {
  appearance: none;
  border: none;
  margin: 0;
  padding: 0;
  cursor: pointer;
  position: relative;
  flex-shrink: 0;
  width: 27%;
  aspect-ratio: 3 / 2;
  background-color: #702a03;
  border-radius: 9999px;
}

.product-showcase-toggle::before {
  content: '→';
  position: absolute;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
  color: #fff;
  font-size: clamp(18.75px, 5vw, 26px);
  line-height: 1;
}

.product-showcase-details {
  padding-top: 13.47%;
}

#liffTop .product-showcase-details {
  padding-bottom: 13.47%;
}

.product-showcase-details-frame {
  background-color: #fff;
  border-radius: 20px;
  overflow: hidden;
  overflow-y: auto;
  height: 55vw;
}
.m .product-showcase-details-frame {
  height: 208px;
  border-radius: 30px;
}

.product-showcase-details-list {
  background-color: transparent;
  margin: 0;
  padding: 0;
}

.product-showcase-details-list li {
  font-family: 'Noto Sans JP', sans-serif;
  font-size: clamp(8px, 2.2vw, 11px);
  background-color: #ffe5eb;
}

.product-showcase-details-list li:nth-child(even) {
  background-color: #fff;
}
.product-showcase-details-list li a {
  color: #702a03;
  text-decoration: none;
  padding: 3.34%;
  display: flex;
  align-items: center;
}
.product-showcase-details-list li a[href]::after {
  content: '';
  display: inline-block;
  width: 0.45em;
  height: 0.45em;
  margin-left: 0.25em;
  border-top: 1px solid currentColor;
  border-right: 1px solid currentColor;
  transform: translateY(-0.03em) rotate(45deg);
  vertical-align: middle;
}
.m .product-showcase-details-list li a[href]::after {
  border-top: 2px solid currentColor;
  border-right: 2px solid currentColor;
}

.product-showcase-details-note {
  color: #702a03;
  font-size: clamp(11.62px, 3.1vw, 16.12px);
  text-align: right;
  padding-top: 0.5em;
  text-align: center;
}

/* モーダル 共通 */
.prize-modal__overlay,
.recipe-modal__overlay {
  position: absolute;
  top: 0;
  left: 50%;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.75);
  cursor: pointer;
  max-width: 520px;
  margin: 0 auto;
  transform: translateX(-50%);
}

.recipe-modal__overlay {
  background: #f4b3c1;
}

.prize-modal,
.recipe-modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9000;
  align-items: center;
  justify-content: center;
}

.prize-modal._open,
.recipe-modal._open {
  display: flex;
}

.prize-modal__inner,
.recipe-modal__inner {
  position: relative;
  z-index: 1;
  width: 90%;
  max-width: 468px;
}

.prize-modal__close,
.recipe-modal__close {
  position: absolute;
  top: 0;
  right: -2%;
  background: transparent;
  border: none;
  cursor: pointer;
  padding: 0;
  z-index: 2;
  line-height: 0;
}

.prize-modal__close img,
.recipe-modal__close img {
  width: 100%;
  display: block;
}

.prize-modal__close:hover,
.recipe-modal__close:hover {
  opacity: 0.7;
}

.prize-modal__content {
  overflow: auto;
}

.prize-modal._set-sec04 .prize-modal__content {
  height: 96vw;
}

.prize-modal._set-sec04b .prize-modal__content {
  height: 140vw;
}

.m .prize-modal._set-sec04 .prize-modal__content {
  height: 550px;
}

.m .prize-modal._set-sec04b .prize-modal__content {
  height: 810px;
}

.prize-modal__slide {
  display: none;
}

.prize-modal__img {
  width: 100%;
  object-fit: contain;
  border-radius: 12px;
  display: block;
}

.recipe-modal__inner {
  margin-right: 16px;
}

.recipe-modal__slide {
  margin-left: 16px;
}

.recipe-modal__close {
  top: -6%;
  right: -2%;
  width: 6.7%;
}

.recipe-card {
  font-weight: 400;
  font-style: normal;
  background: #fff;
  border-radius: 10px;
  color: #702a03;
  line-height: 1.6;
  padding-right: 6.5%;
  padding-left: 6.5%;
  padding-bottom: 9.3%;
}

.recipe-card__title {
  color: #702a03;
  font-size: clamp(13.6px, 6.9vw, 36px);
  font-weight: 700;
  text-align: center;
  margin: 0;
  line-height: 1.4;
}

.recipe-card__photo {
  line-height: 0;
  position: relative;
  z-index: 0;
  width: 57.9%;
  margin-inline: auto;
  top: -35px;
}

.recipe-card__photo::before {
  content: '';
  position: absolute;
  bottom: -8%;
  left: 50%;
  translate: -50% 0;
  width: 144%;
  aspect-ratio: 576 / 246;
  background-color: #ffe5eb;
  border-radius: 50%;
  z-index: -1;
  pointer-events: none;
}

.recipe-modal__nav {
  margin-left: 16px;
}

.prize-modal__prev,
.prize-modal__next,
.recipe-modal__prev,
.recipe-modal__next {
  background: transparent;
  border: none;
  padding: 0;
  cursor: pointer;
  width: 14.4%;
  transition: 0.2s;
  flex-shrink: 0;
  line-height: 0;
}

.prize-modal__prev img,
.prize-modal__next img,
.recipe-modal__prev img,
.recipe-modal__next img {
  width: 100%;
  display: block;
}

.prize-modal__counter {
  position: absolute;
  z-index: 2;
  top: 50%;
  right: 50%;
  transform: translate(50%, -57%);
  color: #fff;
  font-size: clamp(22px, 5vw, 28px);
  font-weight: 700;
  line-height: 1.5;
}

.prize-modal__nav,
.recipe-modal__nav {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 16.6vw;
  margin-top: 16px;
  position: relative;
}
.m .prize-modal__nav,
.m .recipe-modal__nav {
  gap: 100px;
}

.recipe-modal__counter {
  position: absolute;
  z-index: 2;
  top: 50%;
  right: 50%;
  transform: translate(50%, -57%);
  color: #702a03;
  font-size: clamp(22px, 5vw, 28px);
  font-weight: 700;
  line-height: 1.5;
}
